# encoding: UTF-8
lib = File.expand_path('../lib/', __FILE__)
$LOAD_PATH.unshift lib unless $LOAD_PATH.include?(lib)

require 'spree_order_message/version'

Gem::Specification.new do |s|
  s.platform    = Gem::Platform::RUBY
  s.name        = 'spree_order_message'
  s.version     = SpreeOrderMessage.version
  s.summary     = 'A Spree extension that implement order message'
  s.description = ''
  s.required_ruby_version = '>= 2.5'

  s.author    = 'ROUTE06'
  s.email     = 'development+rubygems@route06.co.jp'
  s.homepage  = 'https://github.com/route06/spree_order_message'
  s.license = 'BSD-3-Clause'

  s.files       = `git ls-files`.split("\n").reject { |f| f.match(/^spec/) && !f.match(/^spec\/fixtures/) }
  s.require_path = 'lib'
  s.requirements << 'none'

  s.add_dependency 'spree', '>= 4.3.0'
  s.add_dependency 'spree_backend'
  s.add_dependency 'spree_extension'

  s.add_dependency 'deface'

  s.add_development_dependency 'spree_dev_tools'
  s.add_development_dependency 'shoulda-matchers'
  s.add_development_dependency 'mysql2'

  # net-smtp, net-imap and net-pop were removed from default gems in Ruby 3.1, but is used by the `mail` gem.
  s.add_development_dependency 'net-smtp'
  # needed for running rspec
  s.add_development_dependency 'actionmailer'
end
